com.genesyslab.wfm8.API.service.config851

## Class CfgSkill

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgSkill

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSkill
      extends java.lang.Object
      implements java.io.Serializable

  Skill information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswSkillId` Skill ID
    `protected int` | `gswTenantId` Tenant ID
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected int` | `wmBUId`
    `protected boolean` | `wmDeleted` Is Skill Deleted? (true/false)
    `protected java.lang.String` | `wmName` Skill Name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSkill()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswSkillId()` Gets the value of the gswSkillId property.
    `int` | `getGswTenantId()` Gets the value of the gswTenantId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `hashCode()`
    `boolean` | `isWmDeleted()` Gets the value of the wmDeleted property.
    `void` | `setGswSkillId(int value)` Sets the value of the gswSkillId property.
    `void` | `setGswTenantId(int value)` Sets the value of the gswTenantId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmDeleted(boolean value)` Sets the value of the wmDeleted property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `java.lang.String` | `toString()`
    `CfgSkill` | `withGswSkillId(int value)`
    `CfgSkill` | `withGswTenantId(int value)`
    `CfgSkill` | `withTimestamp(long value)`
    `CfgSkill` | `withWmBUId(int value)`
    `CfgSkill` | `withWmDeleted(boolean value)`
    `CfgSkill` | `withWmName(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswSkillId

          protected int gswSkillId

      Skill ID

    - #### wmName

          protected java.lang.String wmName

      Skill Name

    - #### wmDeleted

          protected boolean wmDeleted

      Is Skill Deleted? (true/false)

    - #### gswTenantId

          protected int gswTenantId

      Tenant ID

    - #### wmBUId

          protected int wmBUId

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgSkill

          public CfgSkill()

  - ### Method Detail

    - #### getGswSkillId

          public int getGswSkillId()

      Gets the value of the gswSkillId property.

    - #### setGswSkillId

          public void setGswSkillId(int value)

      Sets the value of the gswSkillId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isWmDeleted

          public boolean isWmDeleted()

      Gets the value of the wmDeleted property.

    - #### setWmDeleted

          public void setWmDeleted(boolean value)

      Sets the value of the wmDeleted property.

    - #### getGswTenantId

          public int getGswTenantId()

      Gets the value of the gswTenantId property.

    - #### setGswTenantId

          public void setGswTenantId(int value)

      Sets the value of the gswTenantId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withGswSkillId

          public CfgSkill withGswSkillId(int value)

    - #### withWmName

          public CfgSkill withWmName(java.lang.String value)

    - #### withWmDeleted

          public CfgSkill withWmDeleted(boolean value)

    - #### withGswTenantId

          public CfgSkill withGswTenantId(int value)

    - #### withWmBUId

          public CfgSkill withWmBUId(int value)

    - #### withTimestamp

          public CfgSkill withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.